:root {
	--ac-main-color: #348dff;
	--ac-gray-color: #c0c0c0;
}

#fl_allow_cookies {
	position: fixed;
	left: 0;
	bottom: -300px;
	padding: 20px;
	font-size: .8em;
	width: 100%;
	background-color: rgba(255,255,255,.85);
	box-shadow: 0 0 25px rgba(0,0,0,.15);
	transition: bottom .5s;
	z-index: 999;
}
#fl_allow_cookies.active {
	bottom: 0;
}
#fl_allow_cookies button {
	display: inline-block;
	line-height: 120%;
	padding: 5px 15px;
	border: 0 none;
	border-radius: 20px;
	background-color: var(--ac-main-color);
	color: #fff;
	cursor: pointer;
}
.ac_container {
	margin: auto;
	width: 100%;
	max-width: 1200px;
	display: flex;
	justify-content: center;
	align-items: center;
	gap: 15px;
}
.allow_cookie_text {
	padding: 0;
}
#fl_allow_cookies a {
	text-decoration: underline;
	color: var(--ac-main-color);
}

#fl_allow_cookies .allow_cookie_modal {
	position: fixed;
	left: 50%;
	bottom: -100%;
	transform: translateX(-50%);
	width: 100%;
	max-width: 640px;
	padding: 20px 30px;
	background: #fff;
	box-shadow: 0 0 15px rgba(0,0,0,.25);
	transition: all .2s;
	opacity: 0;
	z-index: -1;
}
#fl_allow_cookies .allow_cookie_modal.active {
	bottom: 100px;
	opacity: 1;
	z-index: 999;
}
#fl_allow_cookies h4 { font-size: 1.4em; }
#fl_allow_cookies .ac_close {
	position: absolute;
	right: 10px;
	top: 0;
	line-height: 100%;
	font-size: 3em;
	cursor: pointer;
	user-select: none;
	color: var(--ac-gray-color);
}
#fl_allow_cookies .allow_cookie_modal ul {
	list-style: none;
	padding: 0;
	display: flex;
	flex-direction: column;
	gap: 10px;
}
#fl_allow_cookies .allow_cookie_modal ul li {
	display: flex;
	align-items: center;
}
#fl_allow_cookies .ac_checkbox {
	position: relative;
	display: inline-block;
	width: 40px;
	height: 20px;
	margin-right: 10px;
	border: 2px solid var(--ac-gray-color);
	border-radius: 10px;
	cursor: pointer;
}
#fl_allow_cookies .ac_checkbox:before {
	content: '';
	position: absolute;
	top: 1px;
	left: 1px;
	width: 14px;
	height: 14px;
	border-radius: 50%;
	background-color: var(--ac-gray-color);
	transition: all .2s;
}
#fl_allow_cookies .ac_checkbox.active {
	border-color: var(--ac-main-color);
}
#fl_allow_cookies .ac_checkbox.active:before {
	left: auto;
	right: 1px;
	background-color: var(--ac-main-color);
}